#
# = dev-utils/debug.rb
#
# See DevUtils::Debug for documentation.
#

  #
  # Base module for <tt>dev-utils</tt>.
  #
module DevUtils
    #
    # <tt>DevUtils::Debug</tt> contains methods to aid debugging Ruby programs, although when
    # using these methods, you don't care about the module; it is included into the top-level
    # when you <code>require 'dev-utils/debug'</code>.
    #
    # The methods are:
    # * #breakpoint, for escaping to IRB from a running program, with local environment intact;
    # * #debug, for logging debugging messages to a zero-conf logfile; and
    # * #trace, for tracing expressions to that same file.
    #
    # Planned features include a method for determining the difference between two complex
    # objects.
    #
  module Debug
  end
end

require 'dev-utils/debug/irb'
require 'dev-utils/debug/log'
#require 'dev-utils/debug/diff'

include DevUtils::Debug
